package com.hw.mqtt.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 设备连接状态枚举
 * @author Wen JY
 * @description: TODO
 * @date 2023-09-13 13:42:37
 * @version: 1.0
 */
@Getter
@RequiredArgsConstructor
public enum ConnectStatus {

    /**
     * 设备连接
     */
    connct(1),

    /**
     * 设备断开
     */
    disconnect(0);

    private final int key;

    public int getKey(){
        return this.key;
    }
}
